import {requestInstance} from "@/service";
export function getSyncHomeTableData(params) {
 return requestInstance({
   url:'/Kettle/selectCatalogKettleMainPageList',
   data:{
    ...params
   }
 })
}
export function getSyncDetailTableData(params) {
 return requestInstance({
  url:'/Kettle/selectKettleRulesPageList',
  data:{
   ...params
  }
 })
}
export function changeSyncDetailState(   KETTLE_RULE_ID,
                                         KETTLE_RULE_STATES) {
 return requestInstance({
  url:'/Kettle/editKettleRuleStates',
  data:{
   KETTLE_RULE_ID,
   KETTLE_RULE_STATES
  }
 })
}
export function getAllCircleAndModeSelect(){
 return requestInstance({
  url:'/Kettle/queryKettleModeList',
  data:{

  }
 })
}
export function getAllServiceAndTdSelect(){
 return requestInstance({
  url:'/Kettle/queryKettleModeServerTypeList',
  data:{
   "pageIndex": "1",
   "pageSize": "10000"
  }
 })
}
export function getReflectTableData(CATALOG_CID) {
 return requestInstance({
  url:'/Kettle/selectKettleParamsPageList',
  data:{
   CATALOG_CID,
   pageIndex:1,
   pageSize:2000
  }
 })
}
export function editSyncRule(params) {
 return requestInstance({
  url:'/Kettle/editKettleModeRule',
  data:{
   ...params
  }
 })
}
export function addSyncRule(params) {
 return requestInstance({
  url:'/Kettle/addKettleModeRule',
  data:{
   ...params
  }
 })
}
export function delSyncRule(KETTLE_RULE_ID) {
 return requestInstance({
  url:'/Kettle/deleteKettleRule',
  data:{
   KETTLE_RULE_ID
  }
 })
}
export function getSheetAndTableAndSpace(params){
 return requestInstance({
  url:'/gxyw/getSchemaList',
  data:{
   ...params
  }
 })
}
